     FOR R=1 TO 372
         M=INT((R+31)/31)                                  ' mes
         D=R MOD 31                                        ' dia
         IF D=0 THEN
            D=31
            IF M<>1 THEN
               M=M-1
            ENDIF
         ENDIF
         PRINT USING "R:### M:## D:##";R;M;D:W$=INPUT$(1)
         IF W$="C" THEN END
     NEXT R
     END
